Subject: processes / net connections - an API

From: stf <[email-masked]>
Date: Fri, 11 May 2007 14:41:51 +0200

Hi!

I want to write a library or application showing processes and net 
connections. I was looking on ps and netstat to see how those programs 
are retrieving the information. It seems that they are parsing /proc 
entries.

Is there any other kernel API to get information about processes or net 
connections?

Thank you.